<template>
  <section
    class="fixed bg-100 border-t border-900 p-4 bottom-0 max-w-500 w-[100%]"
  >
    <div class="flex justify-between">
      <span class="font-semibold text-base base:text-sm">Total Pembayaran</span>
      <span
        class="font-semibold text-base base:text-sm"
        v-if="this.cart.length > 0"
        >$
        {{
          this.cart
            .map((d) => {
              return d.products.values().next().value;
            })
            .map((d) => {
              return d.total;
            })
            .reduce((a, b) => a + b)
        }}
      </span>
      <span class="font-semibold text-base base:text-sm" v-else>$ 0</span>
    </div>

    <button
      class="mt-4 py-2.5 w-full bg-400 rounded-full font-semibold text-100 base:text-sm"
    >
      Buat Pesanan
    </button>
  </section>
</template>

<script>
export default {
  name: "TotalPembayaran",
  props: ["cart"],
};
</script>
